datacache <- new.env(hash=TRUE, parent=emptyenv())

canine2pmcfrefseq <- function() showQCData("canine2pmcfrefseq", datacache)
canine2pmcfrefseq_dbconn <- function() dbconn(datacache)
canine2pmcfrefseq_dbfile <- function() dbfile(datacache)
canine2pmcfrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
canine2pmcfrefseq_dbInfo <- function() dbInfo(datacache)

canine2pmcfrefseqORGANISM <- "Canis familiaris"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "canine2pmcfrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("CANINECHIP_DB", "canine2pmcfrefseq", "chip canine2pmcfrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("canine2pmcfrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(canine2pmcfrefseq_dbconn())
}

